use std::str::FromStr;

use non_blank_string_rs::NonBlankString;

use crate::modules::helm::chart::HelmChartScore;

pub fn grafana_operator_helm_chart_score(ns: String) -> HelmChartScore {
    HelmChartScore {
        namespace: Some(NonBlankString::from_str(&ns).unwrap()),
        release_name: NonBlankString::from_str("grafana_operator").unwrap(),
        chart_name: NonBlankString::from_str("oci://ghcr.io/grafana/helm-charts/grafana-operator")
            .unwrap(),
        chart_version: None,
        values_overrides: None,
        values_yaml: None,
        create_namespace: true,
        install_only: true,
        repository: None,
    }
}
